/**
 * unprefixed classes 
 */

// IMPORTANT : all this css won't be prefixed or scopified


@import '../../site-foundation/scss/util/unit';
@import '../../site-foundation/scss/util/util';
@import '../../site-foundation/scss/global';
@import '../../site-foundation/scss/components/reveal';
@include foundation-reveal;
@import 'settings';
@import 'partials/jj-styles';
@import 'partials/instafeed';
@import 'partials/demo';
$primary-color: map-get($foundation-palette, primary);
$secondary-color: map-get($foundation-palette, secondary);
$thumb-bg:#ceb7D4 !default;



[class*=" proxicon-"],
[class^="proxicon-"] {
    vertical-align: middle;
}



//proxicon size modifiers
[class*=" proxicon-"],
[class^="proxicon-"] {
    &.prx-large {
        font-size: 1.65em;
    }
    &.prx-xl {
        font-size: 2.8em;
    }
    &.prx-xxl {
        font-size: 4em;
    }
}


//Overwrite padding all tiles in wide column Jive
.j-place-column .j-tile:not(.j-tileType-banner, .j-stream-container):not(.j-stream-container) {
    @include breakpoint( medium ) {
        padding: 15px;
    }
}

.j-tileType-iframe .j-tile-iframe {
    width: 100%;
}

//if there is only one column: increase padding
.j-place-column-wrap.js-column-wrap-wide:first-child:last-child {
    .j-tile {
        padding: 2.5%;
    }
}


// foundation uses this for media queries js plugins , fe equalizer
.foundation-mq {
    font-family: '#{-zf-bp-serialize($breakpoints)}';
}

// font size and padding top overwrite of author text in news stream
.j-act-stream .j-author-act,
.j-news-stream-item .j-act-init .j-author-act {
    font-size: 12px;
    padding-top: 8px;
}

// mobile fix of jive subspace place title lineheight bug
.j-placeTitle {
    .j-page-header-parent {
        @include breakpoint( medium down) {
            line-height: normal;
        }
    }
}

//fix hard-coded width of 520 of video iframe
.jive_macro_videomacro {
    max-width: 100%;
}

.jive-video-view.jive-content-video iframe {
    max-width: 100%;
}

//fixing hardcoded height on Will you be attending? buttons 
.j-design-latest .j-event-details-block .j-event-rsvp .j-event-rsvp-buttons .j-btn-global {
    height: auto;
}

// overwrite document viewer tile media block image : jive does !important on everything.
// TODO create background JS version
.j-tile.j-tileType-content .j-tile-content .j-content-body {
    .prx-media-block {
        margin-bottom: 0;
    }
    .prx-media-block__media img {
        @include breakpoint( medium) {
            max-width: initial !important;
            max-height: 350px!important;
        }
    }
    .prx-media-block--small {
        img {
            @include breakpoint( medium) {
                max-height: 250px!important;
            }
        }
    }
}
// fix bad outlining button with input field
.j-rtc-input .j-status-input-actions {
    bottom: 4px;
}

// fix background color of space icon intop space search result, cause it is white on light grey
#j-search-visor .j-visor-search-results-wrapper .j-visor-search-results-inner>li.j-visor-result-top-result .j-search-place-image{
    background-color: $primary-color;
}

//expand herotile to full-width
//.j-hero-tile.js-hero-tile {
//    width: 100vw;
//    position: relative;
//    left: 50%;
//    right: 50%;
//    margin-left: -50vw;
//    /* z-index: -1; */
//    margin-right: -50vw;
//}